/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.1
Text Domain: uncode
*/
html {
    font-size: 16px;
	-webkit-text-size-adjust: 100%;
    font-variant-ligatures: none;
    -webkit-font-variant-ligatures: none;
    text-rendering: optimizeLegibility;
	-webkit-font-smoothing: subpixel-antialiased;
    text-shadow: rgba(0, 0, 0, .01) 0 0 1px;
	/* scroll-behavior: smooth; */
}

/* #region Schriftgrößen */
    :root {
        --base-font-size: 15px;
        --base-xs-size  : 11px;
        --base-lg-size  : 17px;
        --base-h1-size  : 32px;
        --base-h2-size  : 28px;
        --base-h3-size  : 25px;
        --base-h4-size  : 20px;
        --base-h5-size  : 15px;
        --base-h6-size  : 13px;
    }

    @media (min-width: 481px) and (max-width: 1919px) {
        :root {   
            --base-font-size: calc( 15px + (18 - 15) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-xs-size  : calc( 11px + (13 - 11) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-lg-size  : calc( 17px + (20 - 17) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-h1-size  : calc( 32px + (80 - 32) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-h2-size  : calc( 28px + (50 - 28) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-h3-size  : calc( 25px + (35 - 25) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-h4-size  : calc( 20px + (25 - 20) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-h5-size  : calc( 15px + (18 - 15) * ( (100vw - 481px) / ( 1919 - 481) ));
            --base-h6-size  : calc( 13px + (16 - 13) * ( (100vw - 481px) / ( 1919 - 481) ));
        }
    }

    @media (min-width: 1920px) {
        :root {
            --base-font-size: 18px;
            --base-xs-size  : 13px;
            --base-lg-size  : 20px;
            --base-h1-size  : 80px;
            --base-h2-size  : 50px;
            --base-h3-size  : 35px;
            --base-h4-size  : 25px;
            --base-h5-size  : 18px;
            --base-h6-size  : 16px;
        }
    }

    @font-face {
        font-family : 'Montserrat';
        font-display: swap;
        font-style  : normal;
        font-weight : 300;
        src: url('fonts/montserrat-v24-latin-regular.eot');
        src: local(''), url('fonts/montserrat-v24-latin-regular.eot?#iefix') format('embedded-opentype'), url('fonts/montserrat-v24-latin-regular.woff2') format('woff2'), url('fonts/montserrat-v24-latin-regular.woff') format('woff'), url('fonts/montserrat-v24-latin-regular.ttf') format('truetype'), url('fonts/montserrat-v24-latin-regular.svg#Montserrat') format('svg');
    }

    @font-face {
        font-family : 'Rajdhani';
        font-display: swap;
        font-style  : normal;
        font-weight : 600;
        src: url('fonts/rajdhani-v15-latin-600.eot');
        src: local(''), url('fonts/rajdhani-v15-latin-600.eot?#iefix') format('embedded-opentype'), url('fonts/rajdhani-v15-latin-600.woff2') format('woff2'), url('fonts/rajdhani-v15-latin-600.woff') format('woff'), url('fonts/rajdhani-v15-latin-600.ttf') format('truetype'), url('fonts/rajdhani-v15-latin-600.svg#Rajdhani') format('svg');
    }

    body, p, li, dt, dd, dl, address, label, pre, code {
        font-size: var(--base-font-size);
        line-height: 1.5;
    }

    .font-small, small {
        font-size: var(--base-xs-size);
        line-height: 1.5;
    }

    .text-lead, .text-lead > * {
        font-size: var(--base-lg-size);
        line-height: 1.35;
    }

    h1:not([class*="fontsize-"]), .h1:not([class*="fontsize-"]) {
        font-size: var(--base-h1-size);
        line-height: 1.15;
    }

    h2:not([class*="fontsize-"]), .h2:not([class*="fontsize-"]) {
        font-size: var(--base-h2-size);
        line-height: 1.275;
    }

    h3:not([class*="fontsize-"]), .h3:not([class*="fontsize-"]) {
        font-size: var(--base-h3-size);
        line-height: 1.275;
    }

    h4:not([class*="fontsize-"]), .h4:not([class*="fontsize-"]) {
        font-size: var(--base-h4-size);
        line-height: 1.35;
    }

    h5:not([class*="fontsize-"]), .h5:not([class*="fontsize-"]) {
        font-size: var(--base-h5-size);
        line-height: 1.5;
    }

    h6:not([class*="fontsize-"]), .h6:not([class*="fontsize-"]) {
        font-size: var(--base-h6-size);
        line-height: 1.5;
    }

/* #endregion Schriftgrößen */

@media (min-width: 768px) and (max-width: 1200px) {
    #main-logo .navbar-brand img {
        width: 250px;
    }
}

/* #region HERO */

    .hero-image {
        /* height: calc((var(--vh, 1vh) * 100) - 101px) !important; */
        /* height: 46.875vw; */
        max-height: 900px;
        position: relative;
        display: flex;
    }
    .hero-image::after {
        content: '';
        display: inline-block;
        width: 100vw;
        height: 2px;
        position: absolute;
        left: 0;
        bottom: 0;
        z-index: 2;
        background: rgb(110,211,229);
        background: linear-gradient(90deg, rgba(110,211,229,1) 0%, rgba(110,211,229,1) 25%, rgba(0,0,0,0) 60%, rgba(0,0,0,0) 100%);
    }

    .hero-image .btn-container {
        display: inline-block;
        margin-right: 18px !important;
    }

    @media(max-width: 600px) {
        .hero-image .btn-container:last-child {
            display: none;
        }
    }
    
    @media (max-width: 1919px) and (orientation: landscape) {
        .hero-image {
            min-height: calc(46.875vw + 101px);
        }
    }

    @media (max-width: 1919px) and (orientation: portrait) {
        .hero-image {
            height: calc((var(--vh, 1vh) * 100) - 101px) !important;
        }
    }

    @media (min-width: 1920px) {

        .hero-image {
            height: 900px;
        }

    }

    @media(max-width: 959px) {
        .hero-image .limit-width {
            padding-top: 15% !important;
        }

        .wpcf7-inline-wrapper {
            margin-top: 0 !important;
        }
        .wpcf7-inline-wrapper .wpcf7-inline-field {
            display: block !important;
            padding: 0 !important;
            width: 100% !important;
        }
    }

/* #endregion HERO */

.menu-btn-container.btn {
    padding: 15px 36px !important;
}

.vc_custom_heading_wrap + .vc_custom_heading_wrap {
    margin-top: 0 !important;
}

.dark-shadow .style-color-darker-blue-bg {
    box-shadow: 0 20px 50px 20px #000204;
}

.video-bg .background-inner {
    margin-top: -1px !important;
    position: relative;
}

.video-bg .background-inner::after {
    content: '';
    width: 100%;
    height: 4px;
    position: absolute;
    bottom: -2px;
    background: white;
}

.wpcf7-form-control-wrap.privacy .wpcf7-form-control.wpcf7-acceptance > .wpcf7-list-item > label {
    display: flex !important;
}

.wpcf7-form-control-wrap.privacy .wpcf7-form-control.wpcf7-acceptance > .wpcf7-list-item > label a {
    text-decoration: underline;
}

.site-footer {
    padding-top: 4px;
    position: relative;
}

.site-footer::before {
    content: '';
    display: block;
    height: 4px;
    width: 100%;
    background: linear-gradient(90deg, rgba(110,211,229,1) 0%, rgba(110,211,229,1) 25%, rgba(0,0,0,0) 60%, rgba(0,0,0,0) 100%);
    z-index: 2;
}

.footer-scroll-top i {
    background-image: url(scroll-to-top.svg);
    width: 54px;
    height: 54px;
    border: none;
    opacity: 1;
    transition: all 250ms;
}

.footer-scroll-top i:hover {
    opacity: .5;
}

.footer-scroll-top i::before {
    display: none;
}

/* #region Map */
    #map {
        max-height: 882px !important;
        height: calc((var(--vh, 1vh) * 100) - 250px) !important;
    }



    #map-cookie.map-cookie {
        margin-top: -144px !important;
        min-height: 700px;
        padding-top: 144px !important;
    }

    @media(min-width: 960px) {
        .main-container .map-view .row-inner {
            width: calc(100% + 36px) !important;
        }

        body:not(.vc-safe-mode) .map-view .shift_y_neg_quad:not(.shift_y_fixed) {
            margin-top: -144px !important;
        }

        .map-before .col-lg-6:last-child {
            position: relative;
        }
        .map-before .col-lg-6:last-child::before {
            content: '';
            height: calc(100% + 36px);
            width: 2px;
            position: absolute;
            background: linear-gradient(180deg, rgba(110,211,229,1) 0%, rgba(110,211,229,.75) 50%, rgba(110,211,229,0.25) 100%);
            left: 35px;
            top: -18px;
        }
    }

    @media(max-width: 662px) { #map { max-height: 882px !important; } }
    @media(max-width: 542px) { #map { max-height: 588px !important; } }
    @media(max-width: 442px) { #map { max-height: 441px !important; } }

    @media(max-width: 959px) {
        body:not(.vc-safe-mode) .map-before .shift_y_neg_quad,
        body:not(.vc-safe-mode) .map-view .shift_y_neg_quad {
            margin-top: 0 !important;
        }
        .map-before >.limit-width {
            padding: 0 !important;
        }
    }

    

/* #endregion Map */

/* #region Gallery */
    @media (max-width: 599px) {
        .gallery .t-entry-visual .t-overlay-content .t-overlay-text {
            padding: 18px;
        }
        .gallery .t-entry-excerpt {
            display: none;
        }

    }

    .gallery .t-entry-visual .t-overlay-content {
        background: transparent;
        transition: background 250ms;
    }
    /* .gallery .t-entry-visual:hover .t-overlay-content { */
    .gallery .t-entry-visual:hover .t-entry-visual-overlay {
        opacity: 0;
    }
    .gallery .t-entry-visual:hover .t-overlay-text {
        opacity: 1 !important;
    }
    .gallery .t-overlay-text {
        transform: scale(1) !important;
    }
    .gallery .t-entry-title {
        color: rgb(110,211,229) !important;
    }
    .gallery .t-entry-excerpt {
        font-family: Rajdhani,"Helvetica Neue",sans-serif, Montserrat,"Helvetica Neue",sans-serif;
        font-size: var(--base-h4-size) !important;
    }
    .gallery .tmb-overlay-gradient-bottom .style-color-darker-blue-bg:not(.tmb-term-evidence) {
        background-image: linear-gradient(to top, #00101d 3%, rgba(0, 16, 29, 0.6) 75%) !important;
    }
/* #endregion Gallery */

/* #region UL */

    .uncol .uncode-list > ul {
        list-style    : none;
        padding-left: 0;
    }

    .uncol .uncode-list > ul > li {
        display: flex;
        padding-bottom: 10px;
    }

    .uncol .uncode-list > ul > li::before {
        content: '';
        display: inline-block;
        flex: 1 0 19px;
        max-width  : 19px;
        height : 16px;
        width  : 19px;
        margin-right: 10px;
        margin-top: 5px;
        background-repeat: no-repeat;
        background-size: 100%;
    }

    .uncol.style-dark .uncode-list > ul > li::before {
        background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='19px' height='16px' viewBox='0 0 19 16' style='enable-background:new 0 0 19 16;' xml:space='preserve'%3E%3Cstyle type='text/css'%3E .st0%7Bfill:%2374D2E7;%7D%0A%3C/style%3E%3Cpath id='Layout' class='st0' d='M0.5,7L0.2,7.3c-0.3,0.3-0.3,0.8,0,1.1l6.1,7.4c0.3,0.4,0.9,0.4,1.2,0L18.8,1.3 C19,1,19,0.5,18.8,0.2l0,0c-0.3-0.3-0.7-0.3-1-0.1L7.2,9.3C7,9.5,6.7,9.5,6.4,9.4l-5-2.6C1.1,6.6,0.7,6.7,0.5,7'/%3E%3C/svg%3E");
    }

    .uncol.style-light .uncode-list > ul > li::before {
        background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='19px' height='16px' viewBox='0 0 19 16' style='enable-background:new 0 0 19 16;' xml:space='preserve'%3E%3Cstyle type='text/css'%3E .st0%7Bfill:%23051C2C;%7D%0A%3C/style%3E%3Cpath id='Layout' class='st0' d='M0.5,7L0.2,7.3c-0.3,0.3-0.3,0.8,0,1.1l6.1,7.4c0.3,0.4,0.9,0.4,1.2,0L18.8,1.3 c0.2-0.3,0.2-0.8,0-1.1l0,0c-0.3-0.3-0.7-0.3-1-0.1L7.2,9.3C7,9.5,6.7,9.5,6.4,9.4l-5-2.6C1.1,6.6,0.7,6.7,0.5,7'/%3E%3C/svg%3E");
    }


    @media (min-width: 1280px) {
        .uncol .uncode-list.two-cols > ul {
            /* display: flex; */
            /* flex-wrap: wrap; */
            margin: 0 -36px;
            column-count: 2;
            column-gap: 24px;
        }
        .uncol .uncode-list.two-cols > ul > li {
            /* flex: 0 0 50%; */
            /* max-width: 50%; */
            padding: 0 36px 10px;
        }
        .uncode_text_column.two-cols {
            column-count: 2;
            column-gap: 24px;
            width: 100%;
        }
    }

/* #endregion UL */

/* #region nachgebaute Preisboxen */

    .specifications > .uncol {
        border: 1px solid #e4e4e4;
    }

    .specifications > .uncol > .uncoltable > .uncell {
        background: white;
        transition: all 250ms;
        transform: scale(1);
        z-index: 1;
        position: relative;
    }

    .specifications .uncode-single-media {
        padding: 18px 18px 0;
    }

    .specifications .uncode-single-media .single-wrapper {
        display  : flex;
        flex-wrap: wrap;
        padding-bottom: 14px;
    }

    .specifications .uncode-single-media .single-wrapper .tmb {
        margin-bottom: 14px;
    }

    .specifications .uncode-single-media .single-wrapper .wpb_heading {
        order     : 2;
        font-size : var(--base-h4-size);
    }

    .specifications .uncode_text_column.text-small {
        margin: 0 !important;
        padding: 0 24px 14px;
    }

    .specifications .vc_custom_heading_wrap {
        border-top: 1px solid #e4e4e4;
        margin-top: 0 !important;
        padding: 14px 24px;
    }

    .specifications .vc_custom_heading_wrap dl {

        margin: 12px 0 0;
    }

    .specifications .vc_custom_heading_wrap dl dt {
        float      : left;
        font-size  : var(--base-xs-size);
        font-weight: 300;
        margin: 0;
        white-space: nowrap;
        width: 70px;

    }
    .specifications .vc_custom_heading_wrap dl dd { 
        font-size   : var(--base-xs-size);
        margin      : 0 0 5px 0; 
        padding-left: 75px; 
    }

    @media (min-width: 768px) {

        .no-touch .specifications:hover > .uncol > .uncoltable > .uncell {
            transform: scale(1.1);
            box-shadow: 0px 25px 40px -20px rgb(0 0 0 / 35%);
            z-index: 2;
        }

        .specifications > .uncol {
            height: 100%;
        }

        .specifications:nth-child(1) > .uncol {
            border-right: 0;
        }

        .specifications:nth-child(3) > .uncol {
            border-left: 0;
        }

    }

    @media (min-width: 1200px) {

        .specifications .uncode-single-media {
            padding: 22px 48px 0;
        }

        .specifications .uncode-single-media .single-wrapper {
            display  : flex;
            flex-wrap: wrap;
        }

        .specifications .uncode_text_column.text-small {
            padding: 0 48px 22px;
        }

        .specifications .vc_custom_heading_wrap {
            padding: 22px 48px;
        }

    }

    @media (max-width: 699px) {

        .main-container #models .unequal.row .cols-md-responsive > div.specifications {
            display: block !important;
            clear: both !important;
            width: 100%;
        }

        .specifications:nth-child(1),
        .specifications:nth-child(2) {
            margin-bottom: 36px;
        }
        
    }

/* #endregion nachgebaute Preisboxen */

/* #region Cookie */
    .gdpr-privacy-bar {
        height: 100% !important;
        background: rgba(0, 0, 0, 0.75);

    }

    .gdpr-privacy-bar > .gdpr-wrapper {
        width: 90%;
        max-width: 640px;
        margin: 0 auto 0;
        height: auto;
        background: #051c2c;
        transform: translateY(-50%);
        top: 50%;
        position: relative;
    }

    .gdpr-privacy-bar > .gdpr-wrapper p {
        padding: 0 !important;
    }
    
    .gdpr-privacy-bar > .gdpr-wrapper .gdpr-right { 
        margin-top: 25px;
        position: relative;
        top: auto;
        transform: none;
        right: auto !important;
        text-align: right;
    }
    
    .gdpr-privacy-bar > .gdpr-wrapper .gdpr-right button {
        margin-bottom: 10px;
    }
    
    .gdpr-privacy-bar > .gdpr-wrapper .gdpr-right .gdpr-reject {
        background: transparent !important;
        border: 1px solid white !important;
    }

    .gdpr-privacy-bar > .gdpr-wrapper .gdpr-agreement {
        border: 1px solid #74d2e7 !important;
        background: #74d2e7 !important;
    }
    
    .gdpr-privacy-bar > .gdpr-wrapper p:before {
        content: 'Privacy Settings';
        padding-bottom: 20px;
        font-size: 14px;
        font-weight: 600;
        display: block;
    }
    
    @media (min-width: 1024px) {
        .gdpr-privacy-bar > .gdpr-wrapper p:before {
            font-size: 16px;
        }
        .gdpr-privacy-bar > .gdpr-wrapper p {
            font-size: 14px;
        }
    }
    @media (min-width: 1680px) {
        .gdpr-privacy-bar > .gdpr-wrapper p:before {
            font-size: 18px;
        }
        .gdpr-privacy-bar > .gdpr-wrapper p {
            font-size: 16px;
        }
    }
/* #endregion Cookie */